> For the complete documentation index, see [llms.txt](https://docs.nftgarden.app/jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftgarden.app/jp/api/nft-api/v1.2/check.md).

# NFT Garden NFTの判定

## getisgdnnft <a href="#getisgdnnft" id="getisgdnnft"></a>

指定した`nft_gdn_id`のNFTがNFT Gardenで生成されたものか判定します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="260">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getisgdnnft</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="243">パラメータ</th><th width="79">種類</th><th width="78">必須</th><th width="243">詳細</th></tr></thead><tbody><tr><td>receiver_wallet_address</td><td>str</td><td>yes</td><td>対象NFTの所有者</td></tr><tr><td>blockchain</td><td>str</td><td>yes</td><td>生成先のブロックチェーン</td></tr><tr><td>nft_gdn_ids</td><td>str</td><td>yes</td><td>対象NFTのID</td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
    "nft_gdn_ids": ["cf7faf94-a5ec-462c-ad06-1bd772fefe21"],
    "blockchain": "polygon",
    "receiver_wallet_address": "0x1111111111111111111111111111111111111111"
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
    "requests": {
        "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
        "blockchain": "polygon",
        "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21"
    },
    "response": {
        "isgdnnft": true,
        "nft": {
            "nft_gdn_id": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
            "token_id": "0",
            "contract_address": "0x0000000000000000000000000000000000000000",
            "receiver_wallet_address": "0x1111111111111111111111111111111111111111",
            "status": "deployed"
        }
    }
}
```

## **失敗した場合のレスポンス例(ステータスコード422)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "Invalid request body"
  }
}
```
